
SIM=5000;

phi_p=.92;
sd_p=.0085/4;
inv_p=sd_p*sqrt(1-phi_p^2);

Kk=zeros(SIM+1000,1); Kka=Kk;
Vv=zeros(SIM+1000,1);
iinv=zeros(SIM+1000,1);
pp=zeros(SIM+1000,1);
rng(0);
shocks=randn(SIM+1000,1)*inv_p;
% shocks=0*shocks; shocks(1010)=inv_p;

%% these are actually period 0 values
Kk(1)=(k_max+k_min)/2;
pp(1)=.02/4;
iinv(1)=interpn(k_grid2,p_grid2,I,Kk(1),pp(1),'*linear',mean(I(:)));


% shocks=0*shocks;
% shocks(101)=.0088;

for i=2:SIM+1000
    if floor(i/1000)==i/1000; disp(i);end
    Kk(i)=log( exp(Kk(i-1))*(1-dep_) + iinv(i-1).*exp(Kk(i-1)));
    pp(i)=(1-phi_p)*p_bar + phi_p*pp(i-1) + shocks(i);
    pp(i)=max(min(pp(i),.05),0);
    iinv(i)=interpn(k_grid2,p_grid2,I,Kk(i),pp(i),'*linear',mean(I(:)));
end

Kk=Kk(1001:end);
iinv=iinv(1001:end);
pp=pp(1001:end);
shocks=shocks(1001:end);
Cc=exp(gamma_*Kk) - iinv.*exp(Kk);

EEK=interpn(k_grid2,p_grid2,Euler,Kk,pp,'*linear')-1;
EERw=interpn(k_grid2,p_grid2,ERw,Kk,pp,'*linear')-1;
plot(log10(abs(EEK)))

log(Cc(1:100))-log(Cc(1))

-6.6633   -6.6390   -6.6217
